@import '../../styles/variables.scss';

.forminput {
  &_label {
    position: relative;
    margin-bottom: 6px;

    display: inline-block;

    &.__required {
      &:after {
        content: '*';

        position: absolute;
        top: 0;
        right: -10px;

        color: $red;
      }
    }
  }

  &_input {
    position: relative;

    height: 44px;

    border: 1px solid $gray-3;
    border-radius: 4px;

    background-color: #fff;

    &.__focus {
      border: 1px solid $black;
    }

    & > span {
      position: absolute;
      left: 12px;
      top: 50%;
      transform: translateY(-50%);

      width: 18px;
      height: 18px;
      display: inline-block;

      img {
        height: 100%;
      }
    }

    input {
      position: absolute;
      top: 0;
      bottom: 0;
      right: 0;
      left: 0;

      padding: 0 12px 0 44px;
      box-sizing: border-box;

      width: 100%;
      height: 100%;

      border: none;
      outline: none;
      background: transparent;
    }

    &__error {
      position: absolute;
      bottom: -18px;
      left: 0;

      font-size: 12px;
      color: $red;
    }
  }
}